Package ej.bluetooth

## Class BluetoothDataTypes

- java.lang.Object
- - ej.bluetooth.BluetoothDataTypes

-     public class BluetoothDataTypes
      extends Object

  The `BluetoothDataTypes` class enumerates the values for advertising data types.

  Refer to "Core Specification Supplement Part A, 1 Data Types Definitions and Formats".

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static byte` | `ADVERTISING_INTERVAL` | Advertising Interval.
    `static byte` | `APPEARANCE` | Appearance.
    `static byte` | `COMPLETE_LOCAL_NAME` | Complete Local Name.
    `static byte` | `FLAGS` | Flags.
    `static byte` | `LE_SUPPORTED_FEATURES` | LE Supported Features.
    `static byte` | `MANUFACTURER_SPECIFIC_DATA` | Manufacturer Specific Data.
    `static byte` | `PUBLIC_TARGET_ADDRESS` | Public Target Address.
    `static byte` | `RANDOM_TARGET_ADDRESS` | Random Target Address.
    `static byte` | `SERVICE_DATA_UUID128` | Service Data - 128 bit UUID.
    `static byte` | `SERVICE_DATA_UUID16` | Service Data - 16 bit UUID.
    `static byte` | `SERVICE_DATA_UUID32` | Service Data - 32 bit UUID.
    `static byte` | `SERVICE_SOLICITATION_UUID128_LIST` | List of 128 bit Service Solicitation UUIDs.
    `static byte` | `SERVICE_SOLICITATION_UUID16_LIST` | List of 16 bit Service Solicitation UUIDs.
    `static byte` | `SERVICE_SOLICITATION_UUID32_LIST` | List of 32 bit Service Solicitation UUIDs.
    `static byte` | `SERVICE_UUID128_COMPLETE_LIST` | Complete List of 128-bit Service UUIDs.
    `static byte` | `SERVICE_UUID128_INCOMPLETE_LIST` | Incomplete List of 128-bit Service UUIDs.
    `static byte` | `SERVICE_UUID16_COMPLETE_LIST` | Complete List of 16-bit Service UUIDs.
    `static byte` | `SERVICE_UUID16_INCOMPLETE_LIST` | Incomplete List of 16-bit Service UUIDs.
    `static byte` | `SERVICE_UUID32_COMPLETE_LIST` | Complete List of 32-bit Service UUIDs.
    `static byte` | `SERVICE_UUID32_INCOMPLETE_LIST` | Incomplete List of 32-bit Service UUIDs.
    `static byte` | `SHORTENED_LOCAL_NAME` | Shortened Local Name.
    `static byte` | `SLAVE_CONNECTION_INTERVAL_RANGE` | Slave Connection Interval Range.
    `static byte` | `TX_POWER_LEVEL` | TX Power Level.
    `static byte` | `URI` | URI.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BluetoothDataTypes()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FLAGS

          public static final byte FLAGS

      Flags.
      See Also:
        Constant Field Values

    - #### SERVICE_UUID16_INCOMPLETE_LIST

          public static final byte SERVICE_UUID16_INCOMPLETE_LIST

      Incomplete List of 16-bit Service UUIDs.
      See Also:
        Constant Field Values

    - #### SERVICE_UUID16_COMPLETE_LIST

          public static final byte SERVICE_UUID16_COMPLETE_LIST

      Complete List of 16-bit Service UUIDs.
      See Also:
        Constant Field Values

    - #### SERVICE_UUID32_INCOMPLETE_LIST

          public static final byte SERVICE_UUID32_INCOMPLETE_LIST

      Incomplete List of 32-bit Service UUIDs.
      See Also:
        Constant Field Values

    - #### SERVICE_UUID32_COMPLETE_LIST

          public static final byte SERVICE_UUID32_COMPLETE_LIST

      Complete List of 32-bit Service UUIDs.
      See Also:
        Constant Field Values

    - #### SERVICE_UUID128_INCOMPLETE_LIST

          public static final byte SERVICE_UUID128_INCOMPLETE_LIST

      Incomplete List of 128-bit Service UUIDs.
      See Also:
        Constant Field Values

    - #### SERVICE_UUID128_COMPLETE_LIST

          public static final byte SERVICE_UUID128_COMPLETE_LIST

      Complete List of 128-bit Service UUIDs.
      See Also:
        Constant Field Values

    - #### SHORTENED_LOCAL_NAME

          public static final byte SHORTENED_LOCAL_NAME

      Shortened Local Name.
      See Also:
        Constant Field Values

    - #### COMPLETE_LOCAL_NAME

          public static final byte COMPLETE_LOCAL_NAME

      Complete Local Name.
      See Also:
        Constant Field Values

    - #### TX_POWER_LEVEL

          public static final byte TX_POWER_LEVEL

      TX Power Level.
      See Also:
        Constant Field Values

    - #### SLAVE_CONNECTION_INTERVAL_RANGE

          public static final byte SLAVE_CONNECTION_INTERVAL_RANGE

      Slave Connection Interval Range.
      See Also:
        Constant Field Values

    - #### SERVICE_SOLICITATION_UUID16_LIST

          public static final byte SERVICE_SOLICITATION_UUID16_LIST

      List of 16 bit Service Solicitation UUIDs.
      See Also:
        Constant Field Values

    - #### SERVICE_SOLICITATION_UUID32_LIST

          public static final byte SERVICE_SOLICITATION_UUID32_LIST

      List of 32 bit Service Solicitation UUIDs.
      See Also:
        Constant Field Values

    - #### SERVICE_SOLICITATION_UUID128_LIST

          public static final byte SERVICE_SOLICITATION_UUID128_LIST

      List of 128 bit Service Solicitation UUIDs.
      See Also:
        Constant Field Values

    - #### SERVICE_DATA_UUID16

          public static final byte SERVICE_DATA_UUID16

      Service Data - 16 bit UUID.
      See Also:
        Constant Field Values

    - #### SERVICE_DATA_UUID32

          public static final byte SERVICE_DATA_UUID32

      Service Data - 32 bit UUID.
      See Also:
        Constant Field Values

    - #### SERVICE_DATA_UUID128

          public static final byte SERVICE_DATA_UUID128

      Service Data - 128 bit UUID.
      See Also:
        Constant Field Values

    - #### PUBLIC_TARGET_ADDRESS

          public static final byte PUBLIC_TARGET_ADDRESS

      Public Target Address.
      See Also:
        Constant Field Values

    - #### RANDOM_TARGET_ADDRESS

          public static final byte RANDOM_TARGET_ADDRESS

      Random Target Address.
      See Also:
        Constant Field Values

    - #### APPEARANCE

          public static final byte APPEARANCE

      Appearance.
      See Also:
        Constant Field Values

    - #### ADVERTISING_INTERVAL

          public static final byte ADVERTISING_INTERVAL

      Advertising Interval.
      See Also:
        Constant Field Values

    - #### URI

          public static final byte URI

      URI.
      See Also:
        Constant Field Values

    - #### LE_SUPPORTED_FEATURES

          public static final byte LE_SUPPORTED_FEATURES

      LE Supported Features.
      See Also:
        Constant Field Values

    - #### MANUFACTURER_SPECIFIC_DATA

          public static final byte MANUFACTURER_SPECIFIC_DATA

      Manufacturer Specific Data.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BluetoothDataTypes

          public BluetoothDataTypes()